# begin()

It is called only once before the first call to the `loop()` function; since TWENET is already initialized, there is no need to consider constraints such as `setup()`.

The main usage is to

* Displaying startup messages
* Writing code for testing
* Sleep transition immediately after startup
* Processing that is inconvenient for `setup()` (radio packet processing, timer operation, etc.)

{% hint style="info" %}
This callback function definition is optional.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://mwx.twelite.info/latest_en/api-reference/sys_callbacks/begin.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
